package com.google.android.material.datepicker;

import android.content.Context;
import android.util.DisplayMetrics;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import ῲ.䀟.K.C2329;

public class SmoothCalendarLayoutManager extends LinearLayoutManager {
    public static final float MILLISECONDS_PER_INCH = 100.0f;

    public SmoothCalendarLayoutManager(Context context, int i, boolean z) {
        super(context, i, z);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.AbstractC0254
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.C0248 r2, int i) {
        AnonymousClass1 r22 = new C2329(recyclerView.getContext()) {
            /* class com.google.android.material.datepicker.SmoothCalendarLayoutManager.AnonymousClass1 */

            @Override // ῲ.䀟.K.C2329
            public float calculateSpeedPerPixel(DisplayMetrics displayMetrics) {
                return 100.0f / ((float) displayMetrics.densityDpi);
            }
        };
        r22.setTargetPosition(i);
        startSmoothScroll(r22);
    }
}
